Bug 167076 - Cumulative download would be better than total time for each file.
Cumulative download would be better than total time for each file.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-29 20:03 EDT by Rodd Clarkson
Modified: 2014-01-21 17:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-21 14:04:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodd Clarkson 2005-08-29 20:03:15 EDT
Description of problem:

Currently, yum displays the ETA for each file as it downloads and then the total
time taken to download the file when finished.  Given that the file is
downloaded, it's interesting to know, but not that useful.

What would be better would be for the time to be replaced with the cumulative
total of the download.  Giving the user some idea of how far they are through a
download.  This would be much more useful to know.

So for example, instead of this:

(1/14): kernel-devel-2.6. 100% |=========================| 4.2 MB    01:25
(2/14): spamassassin-3.1. 100% |=========================| 929 kB    00:17
(3/14): openoffice.org-wr 100% |=========================| 2.7 MB    00:56
(4/14): openoffice.org-dr 100% |=========================| 1.0 MB    00:21
(5/14): openoffice.org-co 100% |=========================|  75 MB    26:48
(6/14): openoffice.org-ma 100% |=========================| 1.3 MB    00:24
(7/14): openoffice.org-ca 100% |=========================| 6.4 MB    02:15
(8/14): openoffice.org-im 100% |=========================| 1.6 MB    00:38

yum would display this:

(1/14): kernel-devel-2.6. 100% |=========================| 4.2 MB      4.2 MB
(2/14): spamassassin-3.1. 100% |=========================| 929 kB      4.3 MB
(3/14): openoffice.org-wr 100% |=========================| 2.7 MB      7.0 MB
(4/14): openoffice.org-dr 100% |=========================| 1.0 MB      8.0 MB
(5/14): openoffice.org-co 100% |=========================|  75 MB     83.0 MB
(6/14): openoffice.org-ma 100% |=========================| 1.3 MB     84.3 MB
(7/14): openoffice.org-ca 100% |=========================| 6.4 MB     90.7 MB
(8/14): openoffice.org-im 100% |=====================    | 1.3 MB    00:38 ETA

Or even better might be to display how many MB to go (which would be a similar
process given the total download is know before yum starts.)
Comment 1 Jeremy Katz 2005-09-21 14:04:46 EDT
Not going to change this in the context of Fedora.  And actually, over time,
this should be less relevant as we'll have a UI with "normal" progress bars :)

Note You need to log in before you can comment on or make changes to this bug.